[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: segfault in ldap_unbind() (ITS#1799)

Howard Chu wrote:
> You didn't mention which version of the SASL library you used. It looks like
> 1.5. Is that correct?

Yes, that is true. 1.5.27 ( latest 1.x version ).  The problem goes away 
with 2.1.2

My program linked against -lsasl instead of -lsasl2 .  OpenLDAP 
libraries are probably expecting the sasl it was compiled against, the 
2.x library.